#!/usr/bin/env node
"use strict";
var Promise = require('any-promise');
var typings_core_1 = require('typings-core');
var cli_1 = require('./support/cli');
function help() {
    console.log("\ntypings install (with no arguments, in package directory)\ntypings install <name>=<location>\ntypings install [<source>!]<pkg>[@<version>]\ntypings install file:<path>\ntypings install github:<github username>/<github project>[/<path>][#<commit>]\ntypings install bitbucket:<bitbucket username>/<bitbucket project>[/<path>][#<commit>]\ntypings install npm:<package>\ntypings install bower:<package>\ntypings install <https?:// url>\n\nAliases: i, in\nOptions: [--name] [--save|--save-dev|--save-peer] [--ambient] [--production]\n");
}
exports.help = help;
function exec(args, options) {
    if (args.length === 0) {
        return cli_1.loader(typings_core_1.install(options), options)
            .then(function (_a) {
            var tree = _a.tree;
            console.log(cli_1.archifyDependencyTree(tree, options));
        });
    }
    return Promise.all(args.map(function (arg) {
        return typings_core_1.installDependencyRaw(arg, options);
    }))
        .then(function (results) {
        for (var _i = 0, results_1 = results; _i < results_1.length; _i++) {
            var result = results_1[_i];
            console.log(cli_1.archifyDependencyTree(result.tree, options));
        }
    });
}
exports.exec = exec;
//# sourceMappingURL=bin-install.js.map