#!/usr/bin/env node
"use strict";
var columnify = require('columnify');
var typings_core_1 = require('typings-core');
var cli_1 = require('./support/cli');
function help() {
    console.log("\ntypings search [query] [--ambient]\n\nOptions: [--name] [--source] [--offset] [--limit]\n");
}
exports.help = help;
function exec(args, options) {
    var query = args[0];
    var ambient = options.ambient, source = options.source, offset = options.offset, limit = options.limit, order = options.order, sort = options.sort;
    return cli_1.loader(typings_core_1.search({ ambient: ambient, source: source, query: query, offset: offset, limit: limit, order: order, sort: sort }), options)
        .then(function (_a) {
        var results = _a.results, total = _a.total;
        if (total === 0) {
            console.log('No results found for search');
            return;
        }
        console.log("Viewing " + results.length + " of " + total);
        console.log('');
        console.log(columnify(results));
    });
}
exports.exec = exec;
//# sourceMappingURL=bin-search.js.map